Link to home
Create AccountLog in
Avatar of richmarotta1
richmarotta1

asked on

Installing php5.3.4 centos linux

What is the best way to I install php5.3.4 for Centos and get a module to load into apache?
Avatar of mattibutt
mattibutt
Flag of United States of America image

hi
i have a centos box provided bv the web hosting company i think whatever you do make sure you install LAMP bundle for easy way out here is one link http://www.howtoforge.com/centos-5.1-server-lamp-email-dns-ftp-ispconfig 
Avatar of ajay_mhasal
Hi,

You can install PHP on Centos is by using "yum"
eg.

# yum install php

But i'll recommend you to install XAMPP instead, which is a bundled package for LAMP and other software and very very easy to install pl. visit http://www.apachefriends.org/en/xampp-linux.html for more details.


Avatar of richmarotta1
richmarotta1

ASKER

Yum install php gets php 5.1. I need 5.34 .
The server Already has apache and mysql running fine. What versions foes this xampp have and will installing it break whats already working?
Yum install php gets php 5.1. I need 5.34 .
The server Already has apache and mysql running fine. What versions foes this xampp have and will installing it break whats already working?
xampp has following components

    * Apache (2.2.17)
    * MySQL (5.5.8)
    * PHP (5.3.4)
    * ProFTPD (1.3.3d)
    * phpMyAdmin (3.3.8.1)

Also you cant run both at the same time as the ports may conflicts and hence i'll recommend you to try it on test machine.

As xampp is very easy, you have to extract xampp and import the data.
Hi,

Im sorry above components are in beta version of xampp and current stable release is having following components

Apache 2.2.14, MySQL 5.1.41, PHP 5.3.1 & PEAR + SQLite 2.8.17/3.6.16 + multibyte (mbstring) support, Perl 5.10.1, ProFTPD 1.3.2c, phpMyAdmin 3.2.4, OpenSSL 0.9.8l, GD 2.0.1, Freetype2 2.1.7, libjpeg 6b, libpng 1.2.12, gdbm 1.8.0, zlib 1.2.3, expat 1.2, Sablotron 1.0, libxml 2.7.6, Ming 0.4.2, Webalizer 2.21-02, pdf class 009e, ncurses 5.3, mod_perl 2.0.4, FreeTDS 0.63, gettext 0.17, IMAP C-Client 2007e, OpenLDAP (client) 2.3.11, mcrypt 2.5.7, mhash 0.8.18, eAccelerator 0.9.5.3, cURL 7.19.6, libxslt 1.1.26, libapreq 2.12, FPDF 1.6, XAMPP Control Panel 0.8, bzip 1.0.5, PBXT 1.0.09-rc, PBMS 0.5.08-alpha, ICU4C Library 4.2.1
why would you install xamp on centos?
You can install a 3rd party repository.  The Atomic Corp provides much newer versions of php, mysql etc that work well for sites that need more bleeding edge software than Centos5 provides.

Install the repo by issuing this command as root:

 wget -q -O - http://www.atomicorp.com/installers/atomic | sh

You can read more about the repository here:

http://www6.atomicorp.com/channels/atomic/centos/

Note that they have a free repo (atomic) and a paid repo (asl--Atomic Secured Linux).
ASKER CERTIFIED SOLUTION
Avatar of darrickhartman
darrickhartman
Flag of United States of America image

Link to home
membership
Create an account to see this answer
Signing up is free. No credit card required.
Create Account